* configure.in: replace ${topsrcdir} with ${srcdir}
[deliverable/binutils-gdb.git] / configure.in
index 3518a68246677aa4cfb1fcb94a019ef87bb090be..80b72e8c5e1e27c6995290185429c076662ef439 100644 (file)
 
 # these libraries are used by various programs built for the host environment
 #
-host_libs="intl mmalloc libiberty opcodes bfd readline gash db tcl tk tcl8.1 tk8.1 tclX itcl tix libgui zlib"
+host_libs="intl mmalloc libiberty opcodes bfd readline db tcl tk tclX itcl tix libgui zlib"
 
 libstdcxx_version="target-libstdc++-v3"
-# Don't use libstdc++-v3's flags to configure/build itself.
-libstdcxx_flags='`case $$dir in libstdc++-v3 | libjava) ;; *) test ! -f $$r/$(TARGET_SUBDIR)/libstdc++-v3/testsuite_flags || $(SHELL) $$r/$(TARGET_SUBDIR)/libstdc++-v3/testsuite_flags --build-includes;; esac` -L$$r/$(TARGET_SUBDIR)/libstdc++-v3/src -L$$r/$(TARGET_SUBDIR)/libstdc++-v3/src/.libs'
 
 # these tools are built for the host environment
 # Note, the powerpc-eabi build depends on sim occurring before gdb in order to
 # know that we are building the simulator.
-host_tools="texinfo byacc flex bison binutils ld gas gcc cgen sid sim gdb make patch prms send-pr gprof gdbtest tgas etc expect dejagnu ash bash bzip2 m4 autoconf automake libtool ispell grep diff rcs cvssrc fileutils shellutils time textutils wdiff find emacs emacs19 uudecode hello tar gzip indent recode release sed utils guile perl apache inet gawk findutils snavigator libtool gettext zip fastjar"
+host_tools="texinfo byacc flex bison binutils ld gas gcc cgen sid sim gdb make patch prms send-pr gprof gdbtest tgas etc expect dejagnu ash bash bzip2 m4 autoconf automake libtool ispell grep diff rcs cvssrc fileutils shellutils time textutils wdiff find uudecode hello tar gzip indent recode release sed utils guile perl apache inet gawk findutils snavigator libtool gettext zip fastjar"
 
 # libgcj represents the runtime libraries only used by gcj.
 libgcj="target-libffi \
@@ -66,7 +64,6 @@ libgcj="target-libffi \
 target_libs="target-libiberty \
                target-libgloss \
                target-newlib \
-               target-librx \
                ${libstdcxx_version} \
                target-libf2c \
                ${libgcj}
@@ -93,7 +90,7 @@ target_tools="target-examples target-groff target-gperf"
 #
 # This must be a single line because of the way it is searched by grep in
 # the code below.
-native_only="autoconf automake libtool cvssrc emacs emacs19 fileutils find gawk gettext grep gzip hello indent ispell m4 rcs recode sed shellutils tar textutils gash uudecode wdiff gprof target-groff guile perl apache inet time ash bash bzip2 prms snavigator gnuserv target-gperf"
+native_only="autoconf automake libtool cvssrc fileutils find gawk gettext grep gzip hello indent ispell m4 rcs recode sed shellutils tar textutils uudecode wdiff gprof target-groff guile perl apache inet time ash bash bzip2 prms snavigator gnuserv target-gperf"
 
 # directories to be built in a cross environment only
 #
@@ -118,18 +115,30 @@ appdirs=""
 
 # per-host:
 
+# There is no longer anything interesting in the per-host section.
+
+# per-target:
+
+# Define is_cross_compiler to save on calls to 'test'.
+is_cross_compiler=
+if test x"${host}" = x"${target}" ; then
+  is_cross_compiler=no
+else
+  is_cross_compiler=yes
+fi     
+
 # Work in distributions that contain no compiler tools, like Autoconf.
 tentative_cc=""
-if [ -d ${srcdir}/config ]; then
+if test -d ${srcdir}/config ; then
 case "${host}" in
   m68k-hp-hpux*)
     # Avoid "too much defining" errors from HPUX compiler.
     tentative_cc="cc -Wp,-H256000"
-    host_makefile_frag="${host_makefile_frag} config/mh-hp300"
+    host_makefile_frag="config/mh-hp300"
     ;;
   m68k-apollo-sysv*)
     tentative_cc="cc -A ansi -A runtype,any -A systype,any -U__STDC__ -DUSG"
-    host_makefile_frag="${host_makefile_frag} config/mh-apollo68"
+    host_makefile_frag="config/mh-apollo68"
     ;;
   m68k-apollo-bsd*)
     #None of the Apollo compilers can compile gas or binutils.  The preprocessor
@@ -139,47 +148,46 @@ case "${host}" in
     # or whatever), but I'm not sure leaving CC as cc is any better...
     #CC=cc -A ansi -A runtype,any -A systype,any -U__STDC__ -DNO_STDARG
     tentative_cc=gcc
-    host_makefile_frag="${host_makefile_frag} config/mh-a68bsd"
+    host_makefile_frag="config/mh-a68bsd"
     ;;
   m88k-dg-dgux*)
     tentative_cc="gcc -Wall -ansi -D__using_DGUX"
-    host_makefile_frag="${host_makefile_frag} config/mh-dgux"
+    host_makefile_frag="config/mh-dgux"
     ;;
   m88k-harris-cxux*)
     # Under CX/UX, we want to tell the compiler to use ANSI mode.
     tentative_cc="cc -Xa"
-    host_makefile_frag="${host_makefile_frag} config/mh-cxux"
+    host_makefile_frag="config/mh-cxux"
     ;;
   m88k-motorola-sysv*)
-    host_makefile_frag="${host_makefile_frag} config/mh-delta88"
+    host_makefile_frag="config/mh-delta88"
     ;;
   mips*-dec-ultrix*)
     tentative_cc="cc -Wf,-XNg1000"
-    host_makefile_frag="${host_makefile_frag} config/mh-decstation"
+    host_makefile_frag="config/mh-decstation"
     ;;
   mips*-nec-sysv4*)
     # The C compiler on NEC MIPS SVR4 needs bigger tables.
     tentative_cc="cc -ZXNd=5000 -ZXNg=1000"
-    host_makefile_frag="${host_makefile_frag} config/mh-necv4"
+    host_makefile_frag="config/mh-necv4"
     ;;
   mips*-sgi-irix6*)
-    host_makefile_frag="${host_makefile_frag} config/mh-irix6"
+    host_makefile_frag="config/mh-irix6"
     ;;
   mips*-sgi-irix5*)
-    host_makefile_frag="${host_makefile_frag} config/mh-irix5"
+    host_makefile_frag="config/mh-irix5"
     ;;
   mips*-sgi-irix4*)
     # Tell compiler to use K&R C.  We can't compile under the SGI Ansi
     # environment.  Also bump switch table size so that cp-parse will
     # compile.  Bump string length limit so linker builds.
     tentative_cc="cc -cckr -Wf,-XNg1500 -Wf,-XNk1000 -Wf,-XNh2000 -Wf,-XNl8192"
-    host_makefile_frag="${host_makefile_frag} config/mh-irix4"
     ;;
   mips*-sgi-irix3*)
-    host_makefile_frag="${host_makefile_frag} config/mh-sysv"
+    host_makefile_frag="config/mh-sysv"
     ;;
   mips*-*-sysv4*)
-    host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
+    host_makefile_frag="config/mh-sysv4"
     ;;
   mips*-*-sysv*)
     # This is for a MIPS running RISC/os 4.52C.
@@ -195,24 +203,24 @@ case "${host}" in
     # This is not part of CFLAGS because perhaps not all C compilers have this
     # option.
     tentative_cc="cc -systype sysv"
-    host_makefile_frag="${host_makefile_frag} config/mh-riscos"
+    host_makefile_frag="config/mh-riscos"
     ;;
   i370-ibm-opened*)
     tentative_cc="c89"
-    host_makefile_frag="${host_makefile_frag} config/mh-openedition"
+    host_makefile_frag="config/mh-openedition"
     ;;
   i[3456]86-*-sysv5*)
-    host_makefile_frag="${host_makefile_frag} config/mh-sysv5"
+    host_makefile_frag="config/mh-sysv5"
     ;;
   i[3456]86-*-dgux*)
     tentative_cc="gcc -Wall -ansi -D__using_DGUX"
-    host_makefile_frag="${host_makefile_frag} config/mh-dgux386"
+    host_makefile_frag="config/mh-dgux386"
     ;;
   i[3456]86-ncr-sysv4.3*)
     # The MetaWare compiler will generate a copyright message unless you
     # turn it off by adding the -Hnocopyr flag.
     tentative_cc="cc -Hnocopyr"
-    host_makefile_frag="${host_makefile_frag} config/mh-ncrsvr43"
+    host_makefile_frag="config/mh-ncrsvr43"
     ;;
   i[3456]86-ncr-sysv4*)
     # for an NCR 3000 (i486/SVR4) system.
@@ -221,47 +229,47 @@ case "${host}" in
     # you run it, but it chokes and dies on a whole bunch of GNU source
     # files.  Default to using the AT&T compiler installed in /usr/ccs/ATT/cc.
     tentative_cc="/usr/ccs/ATT/cc"
-    host_makefile_frag="${host_makefile_frag} config/mh-ncr3000"
+    host_makefile_frag="config/mh-ncr3000"
     ;;
   i[3456]86-*-sco3.2v5*)
-    host_makefile_frag="${host_makefile_frag} config/mh-sysv"
+    host_makefile_frag="config/mh-sysv"
     ;;
   i[3456]86-*-sco*)
     # The native C compiler botches some simple uses of const.  Unfortunately,
     # it doesn't defined anything like "__sco__" for us to test for in ansidecl.h.
     tentative_cc="cc -Dconst="
-    host_makefile_frag="${host_makefile_frag} config/mh-sco"
+    host_makefile_frag="config/mh-sco"
     ;;
   i[3456]86-*-udk*)
-    host_makefile_frag="${host_makefile_frag} config/mh-sysv5"
+    host_makefile_frag="config/mh-sysv5"
     ;;
   i[3456]86-*-isc*)
-    host_makefile_frag="${host_makefile_frag} config/mh-sysv"
+    host_makefile_frag="config/mh-sysv"
     ;;
   i[3456]86-*-solaris2*)
-    host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
+    host_makefile_frag="config/mh-sysv4"
     ;;
   i[3456]86-*-aix*)
-    host_makefile_frag="${host_makefile_frag} config/mh-aix386"
+    host_makefile_frag="config/mh-aix386"
     ;;
   i[3456]86-*-msdosdjgpp*)
-    host_makefile_frag="${host_makefile_frag} config/mh-djgpp"
+    host_makefile_frag="config/mh-djgpp"
     ;;
   *-cygwin*)
-    host_makefile_frag="${host_makefile_frag} config/mh-cygwin"
+    host_makefile_frag="config/mh-cygwin"
     ;;
   *-mingw32*)
-    host_makefile_frag="${host_makefile_frag} config/mh-mingw32"
+    host_makefile_frag="config/mh-mingw32"
     ;;
   *-interix*)
-    host_makefile_frag="${host_makefile_frag} config/mh-interix"
+    host_makefile_frag="config/mh-interix"
     ;;
   vax-*-ultrix2*)
     # The old BSD pcc isn't up to compiling parts of gdb so use gcc
     tentative_cc=gcc
     ;;
   *-*-solaris2*)
-    host_makefile_frag="${host_makefile_frag} config/mh-solaris"
+    host_makefile_frag="config/mh-solaris"
     ;;
   m68k-sun-sunos*)
     # Sun's C compiler needs the -J flag to be able to compile cp-parse.c
@@ -270,30 +278,30 @@ case "${host}" in
     ;;
   *-hp-hpux[78]*)
     tentative_cc="cc -Wp,-H256000"
-    host_makefile_frag="${host_makefile_frag} config/mh-hpux8"
+    host_makefile_frag="config/mh-hpux8"
     ;;
   *-hp-hpux*)
     tentative_cc="cc -Wp,-H256000"
-    host_makefile_frag="${host_makefile_frag} config/mh-hpux"
+    host_makefile_frag="config/mh-hpux"
     ;;
   *-*-hiux*)
     tentative_cc="cc -Wp,-H256000"
-    host_makefile_frag="${host_makefile_frag} config/mh-hpux"
+    host_makefile_frag="config/mh-hpux"
     ;;
   rs6000-*-lynxos*)
     # /bin/cc is less than useful for our purposes.  Always use GCC
     tentative_cc="/usr/cygnus/progressive/bin/gcc"
-    host_makefile_frag="${host_makefile_frag} config/mh-lynxrs6k"
+    host_makefile_frag="config/mh-lynxrs6k"
     ;;
   *-*-lynxos*)
     # /bin/cc is less than useful for our purposes.  Always use GCC
     tentative_cc="/bin/gcc"
     ;;
   *-*-sysv4*)
-    host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
+    host_makefile_frag="config/mh-sysv4"
     ;;
   *-*-sysv*)
-    host_makefile_frag="${host_makefile_frag} config/mh-sysv"
+    host_makefile_frag="config/mh-sysv"
     ;;
 esac
 fi
@@ -301,7 +309,7 @@ fi
 # If we aren't going to be using gcc, see if we can extract a definition
 # of CC from the fragment.
 # Actually, use the 'pre-extracted' version above.
-if [ -z "${CC}" ] && [ "${build}" = "${host}" ]; then
+if test -z "${CC}" && test "${build}" = "${host}" ; then
   IFS="${IFS=  }"; save_ifs="$IFS"; IFS="${IFS}:"
   found=
   for dir in $PATH; do
@@ -312,14 +320,14 @@ if [ -z "${CC}" ] && [ "${build}" = "${host}" ]; then
     fi
   done
   IFS="$save_ifs"
-  if [ -z "${found}" ] && [ -n "${tentative_cc}" ] ; then
+  if test -z "${found}" && test -n "${tentative_cc}" ; then
     CC=$tentative_cc
   fi
 fi
 
 # We default to --with-shared on platforms where -fpic is meaningless.
 # Well, we don't yet, but we will.
-if false && [ "${host}" = "${target}" ] && [ x${enable_shared} = x ]; then
+if false && test "${host}" = "${target}" && test x${enable_shared} = x ; then
   case "${target}" in
     alpha*-dec-osf*)   enable_shared=yes ;;
     alpha*-*-linux*)   enable_shared=yes ;;
@@ -343,51 +351,8 @@ case "${enable_shared}" in
   *) shared=yes ;;
 esac
 
-if [ x${shared} = xyes ]; then
-  case "${host}" in
-    alpha*-*-linux*)
-      host_makefile_frag="${host_makefile_frag} config/mh-elfalphapic"
-      ;;
-    arm*-*-*)
-      host_makefile_frag="${host_makefile_frag} config/mh-armpic"
-      ;;
-    parisc*-*-* | hppa*-*-*)
-      host_makefile_frag="${host_makefile_frag} config/mh-papic"
-      ;;
-    i[3456]86-*-cygwin*)
-      # We don't want -fPIC on Cygwin.
-      ;;
-    i[3456]86-*-*)
-      host_makefile_frag="${host_makefile_frag} config/mh-x86pic"
-      ;;
-    i370-*-*)
-      host_makefile_frag="${host_makefile_frag} config/mh-i370pic"
-      ;;
-    ia64-*-*)
-      host_makefile_frag="${host_makefile_frag} config/mh-ia64pic"
-      ;;
-    sparc64-*-*)
-      host_makefile_frag="${host_makefile_frag} config/mh-sparcpic"
-      ;;
-    powerpc*-*-aix*)
-      # We don't want -fPIC on AIX.
-      ;;
-    powerpc*-*-*)
-      host_makefile_frag="${host_makefile_frag} config/mh-ppcpic"
-      ;;
-    s390-* | s390x-*)
-      host_makefile_frag="${host_makefile_frag} config/mh-s390pic"
-      ;;
-    *-*-*)
-      if test -f ${srcdir}/config/mh-${host_cpu}pic; then
-        host_makefile_frag="${host_makefile_frag} config/mh-${host_cpu}pic"
-      fi
-      ;;
-  esac
-fi
-
 rm -f mh-frag
-if [ -n "${host_makefile_frag}" ] ; then
+if test -n "${host_makefile_frag}" ; then
   for f in ${host_makefile_frag}
   do
     cat ${srcdir}/$f >> mh-frag
@@ -395,8 +360,6 @@ if [ -n "${host_makefile_frag}" ] ; then
   host_makefile_frag=mh-frag
 fi
 
-# per-target:
-
 case "${target}" in
   v810*)
     target_makefile_frag="${target_makefile_frag} config/mt-v810"
@@ -446,7 +409,6 @@ case "${enable_target_optspace}:${target}" in
 esac
 
 skipdirs=
-gasdir=gas
 use_gnu_ld=
 use_gnu_as=
 
@@ -457,7 +419,7 @@ case ${with_x} in
   yes | "")  # the default value for this tree is that X11 is available
        ;;
   no)
-       skipdirs="${skipdirs} tk libgui gash"
+       skipdirs="${skipdirs} tk libgui"
        ;;
   *)
        echo "*** bad value \"${with_x}\" for -with-x flag; ignored" 1>&2
@@ -469,39 +431,30 @@ esac
 # toolchains, we add some directories that should only be useful in a
 # cross-compiler.
 
-is_cross_compiler=
-
-if [ x"${host}" = x"${target}" ] ; then
-       # when doing a native toolchain, don't build the targets
-       # that are in the 'cross only' list
-       skipdirs="${skipdirs} ${cross_only}"
-       is_cross_compiler=no
-else
-       # similarly, don't build the targets in the 'native only' 
-       # list when building a cross compiler
-       skipdirs="${skipdirs} ${native_only}"
-       is_cross_compiler=yes
-fi     
+case $is_cross_compiler in
+  no) skipdirs="${skipdirs} ${cross_only}" ;;
+  yes) skipdirs="${skipdirs} ${native_only}" ;;
+esac
 
 # We always want to use the same name for this directory, so that dejagnu
 # can reliably find it.
 target_subdir=${target_alias}
 
-if [ ! -d ${target_subdir} ] ; then
+if test ! -d ${target_subdir} ; then
   if mkdir ${target_subdir} ; then true
   else
-    echo "'*** could not make ${PWD=`pwd`}/${target_subdir}" 1>&2
+    echo "'*** could not make ${PWD=`${PWDCMD-pwd}`}/${target_subdir}" 1>&2
     exit 1
   fi
 fi
 
 build_subdir=${build_alias}
 
-if [ x"${build_alias}" != x"${host}" ] ; then
-  if [ ! -d ${build_subdir} ] ; then
+if test x"${build_alias}" != x"${host}" ; then
+  if test ! -d ${build_subdir} ; then
     if mkdir ${build_subdir} ; then true
     else
-      echo "'*** could not make ${PWD=`pwd`}/${build_subdir}" 1>&2
+      echo "'*** could not make ${PWD=`${PWDCMD-pwd}`}/${build_subdir}" 1>&2
       exit 1
     fi
   fi
@@ -511,8 +464,8 @@ copy_dirs=
 
 # Handle --with-headers=XXX.  The contents of the named directory are
 # copied to $(tooldir)/sys-include.
-if [ x"${with_headers}" != x ]; then
-  if [ x${is_cross_compiler} = xno ]; then
+if test x"${with_headers}" != x ; then
+  if test x${is_cross_compiler} = xno ; then
     echo 1>&2 '***' --with-headers is only supported when cross compiling
     exit 1
   fi
@@ -525,8 +478,8 @@ fi
 
 # Handle --with-libs=XXX.  Multiple directories are permitted.  The
 # contents are copied to $(tooldir)/lib.
-if [ x"${with_libs}" != x ]; then
-  if [ x${is_cross_compiler} = xno ]; then
+if test x"${with_libs}" != x ; then
+  if test x${is_cross_compiler} = xno ; then
     echo 1>&2 '***' --with-libs is only supported when cross compiling
     exit 1
   fi
@@ -541,45 +494,18 @@ if [ x"${with_libs}" != x ]; then
   done
 fi
 
-# If both --with-headers and --with-libs are specified, default to
-# --without-newlib.
-if [ x"${with_headers}" != x ] && [ x"${with_libs}" != x ]; then
-  if [ x"${with_newlib}" = x ]; then
-    with_newlib=no
-  fi
-fi
-
-# Recognize --with-newlib/--without-newlib.
-if [ x${with_newlib} = xno ]; then
-  skipdirs="${skipdirs} target-newlib"
-elif [ x${with_newlib} = xyes ]; then
-  skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
-fi
-
-# Default to using --with-stabs for certain targets.
-if [ x${with_stabs} = x ]; then
-  case "${target}" in
-  mips*-*-irix6*)
-    ;;
-  mips*-*-* | alpha*-*-osf*)
-    with_stabs=yes;
-    withoptions="${withoptions} --with-stabs"
-    ;;
-  esac
-fi
-
 # Handle ${copy_dirs}
 set fnord ${copy_dirs}
 shift
-while [ $# != 0 ]; do
-  if [ -f $2/COPIED ] && [ x"`cat $2/COPIED`" = x"$1" ]; then
+while test $# != 0 ; do
+  if test -f $2/COPIED && test x"`cat $2/COPIED`" = x"$1" ; then
     :
   else
     echo Copying $1 to $2
 
     # Use the install script to create the directory and all required
     # parent directories.
-    if [ -d $2 ]; then
+    if test -d $2 ; then
       :
     else
       echo >config.temp
@@ -599,6 +525,32 @@ while [ $# != 0 ]; do
   shift; shift
 done
 
+# If both --with-headers and --with-libs are specified, default to
+# --without-newlib.
+if test x"${with_headers}" != x && test x"${with_libs}" != x ; then
+  if test x"${with_newlib}" = x ; then
+    with_newlib=no
+  fi
+fi
+
+# Recognize --with-newlib/--without-newlib.
+case ${with_newlib} in
+  no) skipdirs="${skipdirs} target-newlib" ;;
+  yes) skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'` ;;
+esac
+
+# Default to using --with-stabs for certain targets.
+if test x${with_stabs} = x ; then
+  case "${target}" in
+  mips*-*-irix6*)
+    ;;
+  mips*-*-* | alpha*-*-osf*)
+    with_stabs=yes;
+    withoptions="${withoptions} --with-stabs"
+    ;;
+  esac
+fi
+
 # Configure extra directories which are host specific
 
 case "${host}" in
@@ -683,19 +635,25 @@ case "${target}" in
     esac
     ;;
   *-*-netware)
-    noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-newlib target-libiberty target-libgloss ${libgcj}"
+    noconfigdirs="$noconfigdirs ${libstdcxx_version} target-newlib target-libiberty target-libgloss ${libgcj}"
     ;;
   *-*-rtems*)
     noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
+    case ${target} in
+       h8300*-*-* | h8500-*-*)
+         noconfigdirs="$noconfigdirs target-libf2c"
+          ;;
+        *) ;;
+    esac
     ;;
   *-*-vxworks*)
     noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
     ;;
   alpha*-dec-osf*)
-    # ld works, but does not support shared libraries.  emacs doesn't
-    # work.  newlib is not 64 bit ready.  I'm not sure about fileutils.
+    # ld works, but does not support shared libraries.
+    # newlib is not 64 bit ready.  I'm not sure about fileutils.
     # gas doesn't generate exception information.
-    noconfigdirs="$noconfigdirs gas ld emacs fileutils target-newlib target-libgloss"
+    noconfigdirs="$noconfigdirs gas ld fileutils target-newlib target-libgloss"
     ;;
   alpha*-*-*vms*)
     noconfigdirs="$noconfigdirs gdb ld target-newlib target-libgloss ${libgcj}"
@@ -703,8 +661,6 @@ case "${target}" in
   alpha*-*-linux*)
     # newlib is not 64 bit ready
     noconfigdirs="$noconfigdirs target-newlib target-libgloss"
-    # linux has rx in libc
-    skipdirs="$skipdirs target-librx"
     ;;
   alpha*-*-freebsd*)
     noconfigdirs="$noconfigdirs target-newlib target-libgloss"
@@ -715,8 +671,6 @@ case "${target}" in
     ;;
   sh-*-linux*)
     noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
-    # linux has rx in libc
-    skipdirs="$skipdirs target-librx"
     ;;    
   sh*-*-pe|mips*-*-pe|*arm-wince-pe)
     noconfigdirs="$noconfigdirs ${libgcj}"
@@ -769,8 +723,11 @@ case "${target}" in
   arm-*-riscix*)
     noconfigdirs="$noconfigdirs ld target-libgloss ${libgcj}"
     ;;
+  avr-*-*)
+    noconfigdirs="$noconfigdirs target-libiberty ${libstdcxx_version} ${libgcj}"
+    ;;
   c4x-*-*)
-    noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj}"
+    noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss ${libgcj}"
     ;;
   c54x*-*-* | tic54x-*-*)
     noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss ${libgcj} gcc gdb newlib"
@@ -779,22 +736,28 @@ case "${target}" in
     noconfigdirs="$noconfigdirs ${libgcj}"
     ;;
   d10v-*-*)
-    noconfigdirs="$noconfigdirs target-librx ${libstdcxx_version} target-libgloss ${libgcj}"
+    noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss ${libgcj}"
     ;;
   d30v-*-*)
     noconfigdirs="$noconfigdirs ${libgcj}"
     ;;
   fr30-*-elf*)
     noconfigdirs="$noconfigdirs ${libgcj}"
-    if [ x${is_cross_compiler} != xno ] ; then
+    if test x${is_cross_compiler} != xno ; then
           target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
     fi
     ;;
+  frv-*-*)
+    noconfigdirs="$noconfigdirs ${libgcj}"
+    if test x${is_cross_compiler} != xno ; then
+          target_configdirs="${target_configdirs} target-bsp target-cygmon"
+    fi
+    ;;
   h8300*-*-*)
     noconfigdirs="$noconfigdirs target-libgloss"
     ;;
   h8500-*-*)
-    noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj} target-libf2c"
+    noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss ${libgcj} target-libf2c"
     ;;
   hppa*64*-*-linux* | parisc*64*-*-linux*)
     # In this case, it's because the hppa64-linux target is for
@@ -810,13 +773,6 @@ case "${target}" in
     # Do configure ld/binutils/gas for this case.
     ;;
   hppa*-*-*)
-    # HP's C compiler doesn't handle Emacs correctly (but on BSD and Mach
-    # cc is gcc, and on any system a user should be able to link cc to
-    # whatever they want.  FIXME, emacs emacs19).
-    case "${CC}" in
-       "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
-        *) ;;
-    esac
     # According to Alexandre Oliva <aoliva@redhat.com>, libjava won't
     # build on HP-UX 10.20.
     noconfigdirs="$noconfigdirs ld shellutils ${libgcj}"
@@ -831,17 +787,31 @@ case "${target}" in
     ;;
   i[3456]86-*-coff | i[3456]86-*-elf)
     noconfigdirs="$noconfigdirs ${libgcj}"
-    if [ x${is_cross_compiler} != xno ] ; then
+    if test x${is_cross_compiler} != xno ; then
          target_configdirs="${target_configdirs} target-libstub target-cygmon"
     fi
     ;;
   i[34567]86-*-freebsd*)
     noconfigdirs="$noconfigdirs target-newlib target-libgloss"
     ;;
+  s390*-*-linux*)
+    # The libffi port is not yet in the GCC tree
+    noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
+    ;;
+  i[3456]86-*-linux*)
+    # This section makes it possible to build newlib natively on linux.
+    # If we are using a cross compiler then don't configure newlib.
+    if test x${is_cross_compiler} != xno ; then
+         noconfigdirs="$noconfigdirs target-newlib"
+    fi
+    noconfigdirs="$noconfigdirs target-libgloss"
+    # If we are not using a cross compiler, do configure newlib.
+    # Note however, that newlib will only be configured in this situation
+    # if the --with-newlib option has been given, because otherwise
+    # 'target-newlib' will appear in skipdirs.
+    ;;
   *-*-linux*)
     noconfigdirs="$noconfigdirs target-newlib target-libgloss"
-    # linux has rx in libc
-    skipdirs="$skipdirs target-librx"
     ;;
   i[3456]86-*-mingw32*)
     target_configdirs="$target_configdirs target-mingw"
@@ -868,7 +838,7 @@ case "${target}" in
     esac
     ;;    
   i[3456]86-*-pe)
-    noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj}"
+    noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss ${libgcj}"
     ;;
   i[3456]86-*-sco3.2v5*)
     # The linker does not yet know about weak symbols in COFF,
@@ -882,13 +852,7 @@ case "${target}" in
     noconfigdirs="$noconfigdirs target-libgloss"
     ;;
   i[3456]86-*-sysv4*)
-    # The SYSV4 C compiler doesn't handle Emacs correctly
-    case "${CC}" in
-       "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
-        *) ;;
-    esac
-    # but that's okay since emacs doesn't work anyway
-    noconfigdirs="$noconfigdirs emacs emacs19 target-libgloss ${libgcj}"
+    noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
     ;;
   i[3456]86-*-beos*)
      noconfigdirs="$noconfigdirs gdb target-newlib target-libgloss ${libgcj}"
@@ -898,13 +862,13 @@ case "${target}" in
     ;;
   m68k-*-elf*)
     noconfigdirs="$noconfigdirs ${libgcj}"
-    if [ x${is_cross_compiler} != xno ] ; then
+    if test x${is_cross_compiler} != xno ; then
           target_configdirs="${target_configdirs} target-bsp target-cygmon"
     fi
     ;;
   m68k-*-coff*)
     noconfigdirs="$noconfigdirs ${libgcj}"
-    if [ x${is_cross_compiler} != xno ] ; then
+    if test x${is_cross_compiler} != xno ; then
           target_configdirs="${target_configdirs} target-bsp target-cygmon"
     fi
     ;;
@@ -918,13 +882,13 @@ case "${target}" in
     ;;
   mn10200-*-*)
     noconfigdirs="$noconfigdirs ${libgcj}"
-    if [ x${is_cross_compiler} != xno ] ; then
+    if test x${is_cross_compiler} != xno ; then
           target_configdirs="${target_configdirs} target-libstub target-cygmon"
     fi
     ;;
   mn10300-*-*)
     noconfigdirs="$noconfigdirs ${libgcj}"
-    if [ x${is_cross_compiler} != xno ] ; then
+    if test x${is_cross_compiler} != xno ; then
           target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
     fi
     ;;
@@ -948,7 +912,7 @@ case "${target}" in
     ;;
   powerpc-*-eabi)
     noconfigdirs="$noconfigdirs ${libgcj}"
-    if [ x${is_cross_compiler} != xno ] ; then
+    if test x${is_cross_compiler} != xno ; then
           target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
     fi
     ;;
@@ -968,17 +932,15 @@ case "${target}" in
     ;;
   mips*-*-irix5*)
     # The GNU linker does not support shared libraries.
-    # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
-    noconfigdirs="$noconfigdirs ld gprof emacs target-libgloss ${libgcj}"
+    noconfigdirs="$noconfigdirs ld gprof target-libgloss ${libgcj}"
     ;;
   mips*-*-irix6*)
     # The GNU assembler does not support IRIX 6.
-    # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
     # Linking libjava exceeds command-line length limits on at least
     # IRIX 6.2, but not on IRIX 6.5.
     # Also, boehm-gc won't build on IRIX 6.5, according to Jeffrey Oldham
     # <oldham@codesourcery.com>
-    noconfigdirs="$noconfigdirs gas gprof emacs target-libgloss ${libgcj}"
+    noconfigdirs="$noconfigdirs gas gprof target-libgloss ${libgcj}"
     ;;
   mips*-dec-bsd*)
     noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
@@ -1012,30 +974,32 @@ case "${target}" in
     noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
     ;;
   sparc-*-elf*)
-    if [ x${is_cross_compiler} != xno ] ; then
+    if test x${is_cross_compiler} != xno ; then
           target_configdirs="${target_configdirs} target-libstub target-cygmon"
     fi
+    noconfigdirs="$noconfigdirs ${libgcj}"
     ;;
   sparc64-*-elf*)
-    if [ x${is_cross_compiler} != xno ] ; then
+    if test x${is_cross_compiler} != xno ; then
           target_configdirs="${target_configdirs} target-libstub target-cygmon"
     fi
+    noconfigdirs="$noconfigdirs ${libgcj}"
     ;;
   sparclite-*-*)
-    if [ x${is_cross_compiler} != xno ] ; then
+    if test x${is_cross_compiler} != xno ; then
           target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
     fi
     noconfigdirs="$noconfigdirs ${libgcj}"
     ;;
   sparc-*-sunos4*)
     noconfigdirs="$noconfigdirs ${libgcj}"
-    if [ x${is_cross_compiler} != xno ] ; then
+    if test x${is_cross_compiler} != xno ; then
            noconfigdirs="$noconfigdirs gdb gdbtest target-newlib target-libgloss"
     else
            use_gnu_ld=no
     fi
     ;;
-  sparc-*-solaris*)
+  sparc-*-solaris* | sparc64-*-solaris* | sparcv9-*-solaris*)
     ;;
   v810-*-*)
     noconfigdirs="$noconfigdirs bfd binutils gas gcc gdb ld ${libstdcxx_version} opcodes target-libgloss ${libgcj}"
@@ -1077,13 +1041,13 @@ case "${noconfigdirs}" in
 esac
 
 # Make sure we don't let GNU ld be added if we didn't want it.
-if [ x$with_gnu_ld = xno ]; then
+if test x$with_gnu_ld = xno ; then
   use_gnu_ld=no
   noconfigdirs="$noconfigdirs ld"
 fi
 
 # Make sure we don't let GNU as be added if we didn't want it.
-if [ x$with_gnu_as = xno ]; then
+if test x$with_gnu_as = xno ; then
   use_gnu_as=no
   noconfigdirs="$noconfigdirs gas"
 fi
@@ -1182,10 +1146,10 @@ done
 notsupp=""
 for dir in . $skipdirs $noconfigdirs ; do
   dirname=`echo $dir | sed -e s/target-//g`
-  if [ $dir != . ]  && echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
+  if test $dir != .  && echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
     configdirs=`echo " ${configdirs} " | sed -e "s/ ${dir} / /"`
-    if [ -r $srcdir/$dirname/configure ] \
-       || [ -r $srcdir/$dirname/configure.in ]; then
+    if test -r $srcdir/$dirname/configure \
+       || test -r $srcdir/$dirname/configure.in ; then
       if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
        true
       else
@@ -1193,10 +1157,10 @@ for dir in . $skipdirs $noconfigdirs ; do
       fi
     fi
   fi
-  if [ $dir != . ]  && echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
+  if test $dir != . && echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
     target_configdirs=`echo " ${target_configdirs} " | sed -e "s/ ${dir} / /"`
-    if [ -r $srcdir/$dirname/configure ] \
-       || [ -r $srcdir/$dirname/configure.in ]; then
+    if test -r $srcdir/$dirname/configure \
+       || test -r $srcdir/$dirname/configure.in ; then
       if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
        true
       else
@@ -1208,17 +1172,17 @@ done
 
 # Sometimes the tools are distributed with libiberty but with no other
 # libraries.  In that case, we don't want to build target-libiberty.
-if [ -n "${target_configdirs}" ]; then
+if test -n "${target_configdirs}" ; then
   others=
   for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
-    if [ "$i" != "libiberty" ]; then
-      if [ -r $srcdir/$i/configure ] || [ -r $srcdir/$i/configure.in ]; then
+    if test "$i" != "libiberty" ; then
+      if test -r $srcdir/$i/configure || test -r $srcdir/$i/configure.in ; then
        others=yes;
        break;
       fi
     fi
   done
-  if [ -z "${others}" ]; then
+  if test -z "${others}" ; then
     target_configdirs=
   fi
 fi
@@ -1226,12 +1190,12 @@ fi
 # Deconfigure all subdirectories, in case we are changing the
 # configuration from one where a subdirectory is supported to one where it
 # is not.
-if [ -z "${norecursion}" ] && [ -n "${configdirs}" ]; then
+if test -z "${norecursion}" && test -n "${configdirs}" ; then
   for i in `echo ${configdirs} | sed -e s/target-//g` ; do
     rm -f $i/Makefile
   done
 fi
-if [ -z "${norecursion}" ] && [ -n "${target_configdirs}" ]; then
+if test -z "${norecursion}" && test -n "${target_configdirs}" ; then
   for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
     rm -f ${target_subdir}/$i/Makefile
   done
@@ -1261,14 +1225,14 @@ done
 # FSF releases, it's important to let people know when their machine isn't
 # supported by the one or two programs in a package.
 
-if [ -n "${notsupp}" ] && [ -z "${norecursion}" ]; then
+if test -n "${notsupp}" && test -z "${norecursion}" ; then
   # If $appdirs is non-empty, at least one of those directories must still
   # be configured, or we error out.  (E.g., if the gas release supports a
   # specified target in some subdirs but not the gas subdir, we shouldn't
   # pretend that all is well.)
-  if [ -n "$appdirs" ]; then
+  if test -n "$appdirs" ; then
     for dir in $appdirs ; do
-      if [ -r $dir/Makefile.in ]; then
+      if test -r $dir/Makefile.in ; then
        if echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
          appdirs=""
          break
@@ -1279,7 +1243,7 @@ if [ -n "${notsupp}" ] && [ -z "${norecursion}" ]; then
        fi
       fi
     done
-    if [ -n "$appdirs" ]; then
+    if test -n "$appdirs" ; then
       echo "*** This configuration is not supported by this package." 1>&2
       exit 1
     fi
@@ -1304,15 +1268,15 @@ fi
 # want to do that, then you should use the --without-gnu-as and
 # --without-gnu-ld options for the configure script.
 
-if [ x${use_gnu_as} = x ] ; then
-  if [ x${with_gnu_as} != xno ] && echo " ${configdirs} " | grep " ${gasdir} " > /dev/null 2>&1 && [ -d ${srcdir}/${gasdir} ] ; then
+if test x${use_gnu_as} = x ; then
+  if test x${with_gnu_as} != xno && echo " ${configdirs} " | grep " gas " > /dev/null 2>&1 && test -d ${srcdir}/gas ; then
     with_gnu_as=yes
     withoptions="$withoptions --with-gnu-as"
   fi
 fi
 
-if [ x${use_gnu_ld} = x ] ; then
-  if [ x${with_gnu_ld} != xno ] && echo " ${configdirs} " | grep " ld " > /dev/null 2>&1 && [ -d ${srcdir}/ld ] ; then
+if test x${use_gnu_ld} = x ; then
+  if test x${with_gnu_ld} != xno && echo " ${configdirs} " | grep " ld " > /dev/null 2>&1 && test -d ${srcdir}/ld ; then
     with_gnu_ld=yes
     withoptions="$withoptions --with-gnu-ld"
   fi
@@ -1321,41 +1285,13 @@ fi
 # If using newlib, add --with-newlib to the withoptions so that gcc/configure
 # can detect this case.
 
-if [ x${with_newlib} != xno ] && echo " ${target_configdirs} " | grep " target-newlib " > /dev/null 2>&1 && [ -d ${srcdir}/newlib ] ; then
+if test x${with_newlib} != xno && echo " ${target_configdirs} " | grep " target-newlib " > /dev/null 2>&1 && test -d ${srcdir}/newlib ; then
   with_newlib=yes
   withoptions="$withoptions --with-newlib"
 fi
 
-if [ x${shared} = xyes ]; then
-  case "${target}" in
-    hppa* | parisc*)
-      target_makefile_frag="${target_makefile_frag} config/mt-papic"
-      ;;
-    i[3456]86-*)
-      target_makefile_frag="${target_makefile_frag} config/mt-x86pic"
-      ;;
-    ia64-*)
-      target_makefile_frag="${target_makefile_frag} config/mt-ia64pic"
-      ;;
-    powerpc*-*-aix*)
-      # We don't want -fPIC on AIX.
-      ;;
-    powerpc*-*)
-      target_makefile_frag="${target_makefile_frag} config/mt-ppcpic"
-      ;;
-    alpha*-*-linux*)
-      target_makefile_frag="${target_makefile_frag} config/mt-elfalphapic"
-      ;;
-    *)
-      if test -f ${srcdir}/config/mt-${target_cpu}pic; then
-        target_makefile_frag="${target_makefile_frag} config/mt-${target_cpu}pic"
-      fi
-      ;;
-  esac
-fi
-
 rm -f mt-frag
-if [ -n "${target_makefile_frag}" ] ; then
+if test -n "${target_makefile_frag}" ; then
   for f in ${target_makefile_frag}
   do
     cat ${srcdir}/$f >> mt-frag
@@ -1363,39 +1299,57 @@ if [ -n "${target_makefile_frag}" ] ; then
   target_makefile_frag=mt-frag
 fi
 
+case "$host" in
+  *msdosdjgpp*)
+    enable_gdbtk=no ;;
+esac
+# Determine whether gdb needs tk/tcl or not.
+case "$enable_gdbtk" in
+  no)
+    GDB_TK="" ;;
+  *)
+    GDB_TK="all-tcl all-tk all-itcl all-tix all-libgui" ;;
+esac
+
 # post-target:
 
 # Make sure that the compiler is able to generate an executable.  If it
 # can't, we are probably in trouble.  We don't care whether we can run the
 # executable--we might be using a cross compiler--we only care whether it
 # can be created.  At this point the main configure script has set CC.
+we_are_ok=no
 echo "int main () { return 0; }" > conftest.c
 ${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c
-if [ $? = 0 ] && [ -s conftest -o -s conftest.exe ]; then
-  :
-else
-  echo 1>&2 "*** The command '${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c' failed."
-  echo 1>&2 "*** You must set the environment variable CC to a working compiler."
-  rm -f conftest*
-  exit 1
-fi
+if test $? = 0 ; then
+  if test -s conftest || test -s conftest.exe ; then
+    we_are_ok=yes
+  fi
+fi 
+case $we_are_ok in
+  no)
+    echo 1>&2 "*** The command '${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c' failed."
+    echo 1>&2 "*** You must set the environment variable CC to a working compiler."
+    rm -f conftest*
+    exit 1
+    ;;
+esac
 rm -f conftest*
 
 # The Solaris /usr/ucb/cc compiler does not appear to work.
 case "${host}" in
   sparc-sun-solaris2*)
       CCBASE="`echo ${CC-cc} | sed 's/ .*$//'`"
-      if [ "`type $CCBASE | sed 's/^[^/]*//'`" = "/usr/ucb/cc" ] ; then
+      if test "`type $CCBASE | sed 's/^[^/]*//'`" = "/usr/ucb/cc" ; then
           could_use=
-          [ -d /opt/SUNWspro/bin ] && could_use="/opt/SUNWspro/bin"
-          if [ -d /opt/cygnus/bin ] ; then
-              if [ "$could_use" = "" ] ; then
+          test -d /opt/SUNWspro/bin && could_use="/opt/SUNWspro/bin"
+          if test -d /opt/cygnus/bin ; then
+              if test "$could_use" = "" ; then
                   could_use="/opt/cygnus/bin"
               else
                   could_use="$could_use or /opt/cygnus/bin"
               fi
           fi
-        if [ "$could_use" = "" ] ; then
+        if test "$could_use" = "" ; then
             echo "Warning: compilation may fail because you're using"
             echo "/usr/ucb/cc.  You should change your PATH or CC "
             echo "variable and rerun configure."
@@ -1409,36 +1363,9 @@ case "${host}" in
   ;;
 esac
 
-# If we're building libgcj and we're using the Solaris 2.8 linker,
-# then we check for a known problem.
-if test "x${libgcj}" = x && test "${with_gnu_ld}" != yes \
-   && test "${is_cross_compiler}" = no; then
-
-   case "${host}" in
-    sparc-*-solaris2.8)
-       if test "$libdir" = '${exec_prefix}/lib';then
-         if test "$exec_prefix" = '$(prefix)'; then
-            tlibdir="$prefix/lib"
-         else
-            tlibdir="$exec_prefix/lib"
-         fi
-       else
-         tlibdir="$libdir"
-       fi
-       if test -f $tlibdir/libgcj.la; then
-         echo "*** You've already installed libgcj in $tlibdir." 1>&2
-         echo "    This causes problems when rebuilding libgcj with the Solaris 2.8 linker." 1>&2
-         echo "    Either disable the libgcj build, or remove the" 1>&2
-         echo "    already-installed libgcj files." 1>&2
-         exit 1
-       fi
-       ;;
-   esac
-fi
-
 # If --enable-shared was set, we must set LD_LIBRARY_PATH so that the
 # binutils tools will find libbfd.so.
-if [ "${shared}" = "yes" ]; then
+if test "${shared}" = "yes" ; then
   sed -e 's/^SET_LIB_PATH[     ]*=.*$/SET_LIB_PATH = $(REALLY_SET_LIB_PATH)/' \
       Makefile > Makefile.tem
   rm -f Makefile
@@ -1454,12 +1381,12 @@ if [ "${shared}" = "yes" ]; then
   esac
 fi
 
-# Record target_configdirs and the configure arguments for target and
-# build configuration in Makefile.
-target_configdirs=`echo "${target_configdirs}" | sed -e 's/target-//g'`
-targargs=`echo "${arguments}" | \
+# Base args.  Strip norecursion, cache-file, srcdir, host, build, target.
+# These are the ones we might not want to pass down to subconfigures.
+baseargs=`echo "${arguments}" | \
        sed -e 's/--no[^        ]*//' \
            -e 's/--cache[a-z-]*=[^     ]*//' \
+           -e 's/--sr[a-z-]*=[^        ]*//' \
            -e 's/--ho[a-z-]*=[^        ]*//' \
            -e 's/--bu[a-z-]*=[^        ]*//' \
            -e 's/--ta[a-z-]*=[^        ]*//'`
@@ -1467,25 +1394,30 @@ targargs=`echo "${arguments}" | \
 # For the build-side libraries, we just need to pretend we're native,
 # and not use the same cache file.  Multilibs are neither needed nor
 # desired.
-buildargs="--cache-file=../config.cache --build=${build_alias} --host=${build_alias} ${targargs}"
+buildargs="--cache-file=../config.cache --build=${build_alias} --host=${build_alias} ${baseargs}"
+
+# Record target_configdirs and the configure arguments for target and
+# build configuration in Makefile.
+target_configdirs=`echo "${target_configdirs}" | sed -e 's/target-//g'`
+targargs=${baseargs}
 
 # Passing a --with-cross-host argument lets the target libraries know
 # whether they are being built with a cross-compiler or being built
 # native.  However, it would be better to use other mechanisms to make the
 # sorts of decisions they want to make on this basis.  Please consider
 # this option to be deprecated.  FIXME.
-if [ x${is_cross_compiler} = xyes ]; then
+if test x${is_cross_compiler} = xyes ; then
   targargs="--with-cross-host=${host_alias} ${targargs}"
 fi
 
 # Default to --enable-multilib.
-if [ x${enable_multilib} = x ]; then
+if test x${enable_multilib} = x ; then
   targargs="--enable-multilib ${targargs}"
 fi
 
 # Pass --with-newlib if appropriate.  Note that target_configdirs has
 # changed from the earlier setting of with_newlib.
-if [ x${with_newlib} != xno ] && echo " ${target_configdirs} " | grep " newlib " > /dev/null 2>&1 && [ -d ${srcdir}/newlib ] ; then
+if test x${with_newlib} != xno && echo " ${target_configdirs} " | grep " newlib " > /dev/null 2>&1 && test -d ${srcdir}/newlib ; then
   targargs="--with-newlib ${targargs}"
 fi
 
@@ -1514,7 +1446,7 @@ if test x${gxx_include_dir} = x; then
   if test x${enable_version_specific_runtime_libs} = xyes; then
     gxx_include_dir='${libsubdir}/include/g++'
   else
-    . ${topsrcdir}/config.if
+    . ${srcdir}/config.if
     gxx_include_dir='${prefix}/include/${libstdcxx_incdir}'
   fi
 else
@@ -1535,7 +1467,7 @@ case " $skipdirs " in
    esac
 
    # If we're not building GCC, don't discard standard headers.
-   if test -d ${topsrcdir}/gcc; then
+   if test -d ${srcdir}/gcc; then
      FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -nostdinc'
 
      if test "${build}" != "${host}"; then
@@ -1558,11 +1490,10 @@ case " $skipdirs " in
    fi
 
    case "${target}-${is_cross_compiler}" in
-   i[3456]86-pc-linux*-no)
+   i[3456]86-*-linux*-no)
       # Here host == target, so we don't need to build gcc,
       # so we don't want to discard standard headers.
       FLAGS_FOR_TARGET=`echo " $FLAGS_FOR_TARGET " | sed -e 's/ -nostdinc / /'`
-      FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$$r/$(TARGET_SUBDIR)/newlib/'
       ;;
    *)
       # If we're building newlib, use its generic headers last, but search
@@ -1582,7 +1513,7 @@ esac
 # the previously-installed cross compiler, so don't bother to add
 # flags for directories within the install tree of the compiler
 # being built; programs in there won't even run.
-if test "${build}" = "${host}" && test -d ${topsrcdir}/gcc; then
+if test "${build}" = "${host}" && test -d ${srcdir}/gcc; then
   # Search for pre-installed headers if nothing else fits.
   FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$(build_tooldir)/bin/ -B$(build_tooldir)/lib/ -isystem $(build_tooldir)/include'
 fi
@@ -1596,7 +1527,7 @@ fi
 
 if test "x${CC_FOR_TARGET+set}" = xset; then
   :
-elif test -d ${topsrcdir}/gcc; then
+elif test -d ${srcdir}/gcc; then
   CC_FOR_TARGET='$$r/gcc/xgcc -B$$r/gcc/'
 elif test "$host" = "$target"; then
   CC_FOR_TARGET='$(CC)'
@@ -1612,7 +1543,7 @@ esac
 
 if test "x${GCJ_FOR_TARGET+set}" = xset; then
   :
-elif test -d ${topsrcdir}/gcc; then
+elif test -d ${srcdir}/gcc; then
   GCJ_FOR_TARGET='$$r/gcc/gcj -B$$r/gcc/'
 elif test "$host" = "$target"; then
   GCJ_FOR_TARGET='gcj'
@@ -1624,9 +1555,12 @@ case $GCJ_FOR_TARGET in
 *) GCJ_FOR_TARGET=$GCJ_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
 esac
 
+# Don't use libstdc++-v3's flags to configure/build itself.
+libstdcxx_flags='`case $$dir in libstdc++-v3 | libjava) ;; *) test ! -f $$r/$(TARGET_SUBDIR)/libstdc++-v3/testsuite_flags || $(SHELL) $$r/$(TARGET_SUBDIR)/libstdc++-v3/testsuite_flags --build-includes;; esac` -L$$r/$(TARGET_SUBDIR)/libstdc++-v3/src -L$$r/$(TARGET_SUBDIR)/libstdc++-v3/src/.libs'
+
 if test "x${CXX_FOR_TARGET+set}" = xset; then
   :
-elif test -d ${topsrcdir}/gcc; then
+elif test -d ${srcdir}/gcc; then
   # We add -shared-libgcc to CXX_FOR_TARGET whenever we use xgcc instead
   # of g++ for linking C++ or Java, because g++ has -shared-libgcc by
   # default whereas gcc does not.
This page took 0.041509 seconds and 4 git commands to generate.